Help Panel: Implement production configuration for Test, Czech and Korean wikis
Closed, ResolvedPublic

Description

The following variables need to be defined in production config:

  • wgGEHelpPanelEnabled
  • wgGEHelpPanelExcludedNamespaces.
  • wgGEHelpPanelLoggingEnabled
  • wgGEHelpPanelLinks (once T211117 is done)
  • wgGEHelpPanelHelpDeskTitle, for Czech this is Wikipedie:Potřebuji_pomoc and for Korean it is 위키백과:질문방
  • wgGEHelpPanelViewMoreTitle (title for viewing more help)
  • wgGEHelpPanelNewAccountEnablePercentage -- set to 0 initially. When the experiment begins, we'll set it to 2.

For testwiki, we can enable help panel on Tuesday December 18 so we can do some QA there, but keep wgGEHelpPanelNewAccountEnableProportion to 0.

kostajh created this task.Dec 14 2018, 5:26 PM
Restricted Application added subscribers: Urbanecm, revi, Aklapper. · View Herald TranscriptDec 14 2018, 5:26 PM
kostajh renamed this task from Help Panel: Implement production configuration for Czech and Korean wikis to Help Panel: Implement production configuration for Test, Czech and Korean wikis.Dec 14 2018, 5:35 PM
kostajh updated the task description. (Show Details)
kostajh updated the task description. (Show Details)

Change 480106 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[operations/mediawiki-config@master] Production configuration for GrowthExperiments Help Panel

https://gerrit.wikimedia.org/r/480106

@MMiller_WMF @revi @Urbanecm could you please double check the links / titles I have entered on https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/480106/2/wmf-config/InitialiseSettings.php? Once T211117 is done, the wgGEHelpPanelLinks configuration will change, but in case it's not done before launch, these will be the links and text shown across all contexts.

The patch enables help panel on testwiki (but users must enable it manually in the prefs) and provides all the production configuration needed for kowiki/cswiki, but help panel is completely disabled (cannot enable via the user prefs), and the enable proportion is also set to 0.

When we are ready to a final QA in early January, we can update the configuration to allow users to manually enable (but not opt anyone in to it on account creation), so that @revi and @Urbanecm can do a final review on kowiki and cswiki. Once all looks good, we can set the enable proportion to 50% of accounts and the experiment will be live.

Side note: let's discuss the question about ID attributes for links in T209297

Urbanecm added a comment.EditedDec 17 2018, 5:22 PM

@kostajh Looks good to me, I've +1'ed the Gerrit patch.

revi added a comment.Dec 18 2018, 6:06 AM

@kostajh Question: We're planning to use mw: interwikis on the help URLs, will it be handled correctly? (Well IIRC we have an eventual goal to make it locally configurable but we aren't in that stage yet)

@revi could you provide an example of the URL? I think it would be supported, or eventually it would be anyway.

@SBisson @MMiller_WMF I reviewed the ID attributes, all look correct. The notability links are equivalents in Czech and Korean while the guide/quicktutorial should be identified as separate pages.

Change 480106 merged by jenkins-bot:
[operations/mediawiki-config@master] Production configuration for GrowthExperiments Help Panel

https://gerrit.wikimedia.org/r/480106

revi added a comment.Mon, Dec 24, 9:21 AM

@kostajh mw:Help:VisualEditor/User guide/ko will be it.

I just re-noticed this. Bumping for @kostajh and @revi, in case that discussion was not complete.

kostajh updated the task description. (Show Details)Tue, Jan 8, 12:19 AM

Change 482743 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable logging for GrowthExperiments help panel

https://gerrit.wikimedia.org/r/482743

Change 482743 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable logging for GrowthExperiments help panel

https://gerrit.wikimedia.org/r/482743

Mentioned in SAL (#wikimedia-operations) [2019-01-10T00:13:02Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable EventLogging for GrowthExperiments help panel (T211991) (duration: 00m 54s)

Etonkovidova closed this task as Resolved.Fri, Jan 11, 8:47 PM